> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.meetstream.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.meetstream.ai/_mcp/server.

# Update Teams Login

PATCH https://api.meetstream.ai/api/v1/teams-logins/{login_id}
Content-Type: application/json

Rotate a Teams bot account's password or turn the account on or off. A new password also reactivates an account deactivated after a failed sign-in.

Reference: https://docs.meetstream.ai/api-reference/api-endpoints/teams-signed-in-bots/update-teams-login

## Authentication

- `Authorization` header (required) (prefixed with ` Token  `) — Format: Token \<your\_api\_key>

## Request

### Path parameters

- `login_id` (string, required)

### Body (application/json)

This endpoint expects a TeamsLoginUpdateRequest.

- `password` (string, optional) — New password. Takes effect on the account's next join and reactivates an account that was deactivated after a failed sign-in.
- `is_active` (boolean, optional)

## Response

### 200

Success

- `success` (boolean, optional)
- `login` (TeamsLogin, optional)

## Errors

### 404 Not Found Error

Login not found

- `error` (string, optional)

## Types

### TeamsLogin

- `login_id` (string, optional)
- `domain` (string, optional)
- `email` (string, optional)
- `is_active` (boolean, optional)
- `lease_status` (string, optional) — Whether a bot is currently using this account. Each account runs one bot at a time.
- `last_session_result` (string, optional, nullable)
- `last_login_error` (string, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "success": true,
  "login": {
    "login_id": "dd977d9e-bf62-4618-b30a-bda7886fd57e",
    "domain": "bots.acme.com",
    "email": "bot1@bots.acme.com",
    "is_active": true,
    "lease_status": "available",
    "last_session_result": "string",
    "last_login_error": "string",
    "created_at": "string",
    "updated_at": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.meetstream.ai/api/v1/teams-logins/login_id"

payload = {}
headers = {
    "Authorization": "Token <apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meetstream.ai/api/v1/teams-logins/login_id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Token <apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meetstream.ai/api/v1/teams-logins/login_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Token <apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meetstream.ai/api/v1/teams-logins/login_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Token <apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.meetstream.ai/api/v1/teams-logins/login_id")
  .header("Authorization", "Token <apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.meetstream.ai/api/v1/teams-logins/login_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Token <apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meetstream.ai/api/v1/teams-logins/login_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Token <apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Token <apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/teams-logins/login_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```